## qtwebchannel-opensource-src 5.15.17

=== tests/auto/cmake/CMakeLists.txt ===

cmake_minimum_required(VERSION 2.8)

project(qmake_cmake_files)

enable_testing()

find_package(Qt5Core REQUIRED)

include("${_Qt5CTestMacros}")

# Qt5Qml is an optional dependency of QWebChannel headers. Make sure we find it
# in the test.
set(Qt5_MODULE_TEST_DEPENDS Qml)

test_module_includes(
    WebChannel QWebChannel
)

## qtwebchannel-opensource-src 5.6.1

=== debian/changelog ===
qtwebchannel-opensource-src (5.6.1-1) unstable; urgency=medium

  * Initial package (Closes: #832421)

 -- Sandro Knauß <bugs@sandroknauss.de>  Sat, 27 Aug 2016 19:15:33 +0200

=== debian/control ===
Source: qtwebchannel-opensource-src
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Scarlett Clark <sgclark@kubuntu.org>,
           Sandro Knauß <bugs@sandroknauss.de>,
           Simon Quigley <tsimonq2@ubuntu.com>
Section: libs
Priority: optional
Build-Depends: debhelper (>= 9),
               libqt5websockets5-dev (>= 5.6.1~),
               pkg-kde-tools,
               qml-module-qttest (>= 5.6.1~),
               qtbase5-dev (>= 5.6.1+dfsg~),
               qtbase5-private-dev (>= 5.6.1+dfsg~),
               qtchooser (>= 5.6.1~),
               qtdeclarative5-private-dev (>= 5.6.1~)
Build-Depends-Indep: libqt5sql5-sqlite (>= 5.6.1~),
                     qttools5-dev-tools (>= 5.6.1~)
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/qt/qtwebchannel.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/qt/qtwebchannel.git
Homepage: https://doc.qt.io/qt-5/qtwebchannel-index.html

Package: qtwebchannel5-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Web communication library for Qt - Documentation
 Qt WebChannel enables peer-to-peer communication between the host (QML/C++
 application) and the client (HTML/JavaScript application). The transport
 mechanism is supported out of the box by the two popular web engines, Qt
 WebKit 2 and Qt WebEngine (experimental).
 .
 This package contains the documentation for QtWebChannel.

Package: qtwebchannel5-doc-html
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Web communication library for Qt - HTML Documentation
 Qt WebChannel enables peer-to-peer communication between the host (QML/C++
 application) and the client (HTML/JavaScript application). The transport
 mechanism is supported out of the box by the two popular web engines, Qt
 WebKit 2 and Qt WebEngine (experimental).
 .
 This package contains the HTML documentation for QtWebChannel.

Package: libqt5webchannel5-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libqt5webchannel5 (= ${binary:Version}),
         qtbase5-dev,
         qtdeclarative5-dev,
         ${misc:Depends}
Description: Web communication library for Qt - development files
 Qt WebChannel enables peer-to-peer communication between the host (QML/C++
 application) and the client (HTML/JavaScript application). The transport
 mechanism is supported out of the box by the two popular web engines, Qt
 WebKit 2 and Qt WebEngine (experimental).
 .
 This package contains the development files needed to build Qt 5 applications
 using the QtWebChannel library.

Package: qtwebchannel5-examples
Architecture: any
Multi-Arch: same
Depends: libqt5webchannel5 (= ${binary:Version}),
         nodejs,
         npm,
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Web communication library for Qt - Examples
 Qt WebChannel enables peer-to-peer communication between the host (QML/C++
 application) and the client (HTML/JavaScript application). The transport
 mechanism is supported out of the box by the two popular web engines, Qt
 WebKit 2 and Qt WebEngine (experimental).
 .
 This package contains the examples for Qt's WebChannel submodule.

Package: libqt5webchannel5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Web communication library for Qt
 Qt WebChannel enables peer-to-peer communication between the host (QML/C++
 application) and the client (HTML/JavaScript application). The transport
 mechanism is supported out of the box by the two popular web engines, Qt
 WebKit 2 and Qt WebEngine (experimental).
 .
 This package contains the QtWebChannel libraries.

Package: qml-module-qtwebchannel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Web communication library for Qt - QML module
 Qt WebChannel enables peer-to-peer communication between the host (QML/C++
 application) and the client (HTML/JavaScript application). The transport
 mechanism is supported out of the box by the two popular web engines, Qt
 WebKit 2 and Qt WebEngine (experimental).
 .
 This package contains the WebChannel QML module for QtDeclarative.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
export QT_SELECT := qt5

%:
	dh $@ --parallel --with pkgkde_symbolshelper

override_dh_clean:
	dh_clean

	rm -rf doc test_root
	rm -f examples/webchannel/chatclient-html/qwebchannel.js
	rm -f examples/webchannel/nodejs/qwebchannel.js
	rm -f examples/webchannel/qwclient/qwebchannel.js
	rm -f src/webchannel/QtWebChannel.version.in

override_dh_auto_configure:
	qmake QT_BUILD_PARTS+=" tests"

override_dh_auto_build-indep:
	dh_auto_build -- docs

override_dh_auto_install-arch:
	dh_auto_install

	# Remove private headers
	rm -rfv debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/qt5/QtWebChannel/*/QtWebChannel
	# And associated files
	rm -fv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/mkspecs/modules/qt_lib_webchannel_private.pri

	# Remove libtool-like files
	rm -fv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la

	# Remove example with privacy breaks (remote scripts and styles)
	rm -rfv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/examples/webchannel/chatclient-html/

	# Link duplicate files
	ln -sf ../qwclient/qwebchannel.js debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/examples/webchannel/chatclient-qml/qwebchannel.js
	ln -sf ../qwclient/qwebchannel.js debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/examples/webchannel/standalone/qwebchannel.js
	ln -sf ../qwclient/qwebchannel.js debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/examples/webchannel/nodejs/qwebchannel.js

override_dh_auto_test-arch:
	$(MAKE) install -Csrc/imports INSTALL_ROOT=$(CURDIR)/test_root
	dh_auto_test -- QT_QPA_PLATFORM=minimal QML2_IMPORT_PATH=$(CURDIR)/test_root/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/qml

override_dh_auto_test-indep:

override_dh_auto_install-indep:
	make INSTALL_ROOT=$(CURDIR)/debian/tmp install_docs

override_dh_install:
	dh_install --fail-missing

=== debian/watch ===
version=4
https://download.qt.io/official_releases/qt/([\d\.]*)/([\d\.]*)/submodules/qtwebchannel-opensource-src-([^-]*)\.tar\.xz

## qtwebchannel-opensource-src 5.7.1

=== debian/changelog ===
qtwebchannel-opensource-src (5.7.1-2) unstable; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Team upload.
  * Do not depend upon npm (Closes: #857994). It is used just by some examples
    and currently not on all archs, so while removing it is not the ideal
    solution is the only one we have available right now.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 04 Apr 2017 14:33:24 -0300

qtwebchannel-opensource-src (5.7.1-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * New upstream release.
  * Re mark 5.7.1~* symbols to 5.7.1.

 -- Sandro Knauß <hefee@debian.org>  Fri, 16 Dec 2016 12:49:43 +0100

qtwebchannel-opensource-src (5.7.1~20161021-3) unstable; urgency=medium

  [ Sandro Knauß ]
  * Fix "qtwebchannel5-examples/armel unsatisfiable Depends: nodejs"
      - mark mpm and nodejs to be [!armel]
      - Closes: #846167

 -- Sandro Knauß <hefee@debian.org>  Sat, 03 Dec 2016 12:22:33 +0100

qtwebchannel-opensource-src (5.7.1~20161021-2) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Release to unstable.

 -- Sandro Knauß <hefee@debian.org>  Tue, 01 Nov 2016 14:46:30 +0100

qtwebchannel-opensource-src (5.7.1~20161021-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream version.
  * Bump to comapt 10 (default is now --parallel), so removed from rules
    file.
  * Update copyright to new release
  * Update build-deps. Tighten to Qt5.7.1.
  * Update patches (only hunk updates needed).
  * Update symbol files.
  * Remove also directory that holds private headers.
  * Run tests not parallel, this triggers often strange bugs.
  * Update my mailaddress to hefee@debian.org one.
  * Added Multi-Arch hinters for arch=all packages.

 -- Sandro Knauß <hefee@debian.org>  Sun, 30 Oct 2016 19:12:58 +0100

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Source: qtwebchannel-opensource-src
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Scarlett Clark <sgclark@kubuntu.org>,
-           Sandro Knauß <bugs@sandroknauss.de>,
+           Sandro Knauß <hefee@debian.org>,
            Simon Quigley <tsimonq2@ubuntu.com>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 9),
-               libqt5websockets5-dev (>= 5.6.1~),
+Build-Depends: debhelper (>= 10),
+               libqt5websockets5-dev (>= 5.7.1~20161021~),
                pkg-kde-tools,
-               qml-module-qttest (>= 5.6.1~),
-               qtbase5-dev (>= 5.6.1+dfsg~),
-               qtbase5-private-dev (>= 5.6.1+dfsg~),
-               qtchooser (>= 5.6.1~),
-               qtdeclarative5-private-dev (>= 5.6.1~)
-Build-Depends-Indep: libqt5sql5-sqlite (>= 5.6.1~),
-                     qttools5-dev-tools (>= 5.6.1~)
+               qml-module-qttest (>= 5.7.1~20161021~),
+               qtbase5-dev (>= 5.7.1~20161021~),
+               qtbase5-private-dev (>= 5.7.1~20161021~),
+               qtchooser,
+               qtdeclarative5-private-dev (>= 5.7.1~20161021~)
+Build-Depends-Indep: libqt5sql5-sqlite (>= 5.7.1~20161021~),
+                     qttools5-dev-tools (>= 5.7.1~20161021~)
 Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/qt/qtwebchannel.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-kde/qt/qtwebchannel.git
@@ -22,6 +22,7 @@
 
 Package: qtwebchannel5-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends}
 Description: Web communication library for Qt - Documentation
@@ -34,6 +35,7 @@
 
 Package: qtwebchannel5-doc-html
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends}
 Description: Web communication library for Qt - HTML Documentation
@@ -65,8 +67,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: libqt5webchannel5 (= ${binary:Version}),
-         nodejs,
-         npm,
+         nodejs [!armel !powerpc],
          ${misc:Depends},
          ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}

=== debian/rules ===
--- 
+++ 
@@ -2,14 +2,17 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+include /usr/share/dpkg/default.mk
 
 export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
 export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
 export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
 export QT_SELECT := qt5
 
+VERSION_CLEAN_UPSTREAM = $(call dpkg_late_eval,VERSION_CLEAN_UPSTREAM,echo '$(DEB_VERSION_UPSTREAM)' | sed -e 's/~.*//')
+
 %:
-	dh $@ --parallel --with pkgkde_symbolshelper
+	dh $@ --with pkgkde_symbolshelper
 
 override_dh_clean:
 	dh_clean
@@ -30,7 +33,7 @@
 	dh_auto_install
 
 	# Remove private headers
-	rm -rfv debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/qt5/QtWebChannel/*/QtWebChannel
+	rm -rfv debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/qt5/QtWebChannel/$(VERSION_CLEAN_UPSTREAM)
 	# And associated files
 	rm -fv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/mkspecs/modules/qt_lib_webchannel_private.pri
 
@@ -47,7 +50,7 @@
 
 override_dh_auto_test-arch:
 	$(MAKE) install -Csrc/imports INSTALL_ROOT=$(CURDIR)/test_root
-	dh_auto_test -- QT_QPA_PLATFORM=minimal QML2_IMPORT_PATH=$(CURDIR)/test_root/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/qml
+	dh_auto_test --no-parallel -- QT_QPA_PLATFORM=minimal QML2_IMPORT_PATH=$(CURDIR)/test_root/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/qml
 
 override_dh_auto_test-indep:

## qtwebchannel-opensource-src 5.9.1

=== debian/changelog ===
qtwebchannel-opensource-src (5.9.1-1ubuntu1) artful; urgency=medium

  * Ignore the tests results for now. There is a failure on s390x which
    is not reproducible on Debian s390x porterbox.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Wed, 19 Jul 2017 13:09:13 +0300

qtwebchannel-opensource-src (5.9.1-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.9.1.
  * Bump Standards-Version to 4.0.0, no changes needed.
  * Add myself to Uploaders.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 05 Jul 2017 23:16:56 +0300

qtwebchannel-opensource-src (5.9.0-1) experimental; urgency=medium

  [ Simon Quigley ]
  * New upstream release.

  [ Dmitry Shachnev ]
  * Update debian/copyright.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 11 Jun 2017 15:44:38 -0500

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,23 @@
 Source: qtwebchannel-opensource-src
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Scarlett Clark <sgclark@kubuntu.org>,
            Sandro Knauß <hefee@debian.org>,
+           Dmitry Shachnev <mitya57@debian.org>,
            Simon Quigley <tsimonq2@ubuntu.com>
 Section: libs
 Priority: optional
 Build-Depends: debhelper (>= 10),
-               libqt5websockets5-dev (>= 5.7.1~20161021~),
+               libqt5websockets5-dev (>= 5.9.1~),
                pkg-kde-tools,
-               qml-module-qttest (>= 5.7.1~20161021~),
-               qtbase5-dev (>= 5.7.1~20161021~),
-               qtbase5-private-dev (>= 5.7.1~20161021~),
+               qml-module-qttest (>= 5.9.1~),
+               qtbase5-dev (>= 5.9.1~),
+               qtbase5-private-dev (>= 5.9.1~),
                qtchooser,
-               qtdeclarative5-private-dev (>= 5.7.1~20161021~)
-Build-Depends-Indep: libqt5sql5-sqlite (>= 5.7.1~20161021~),
-                     qttools5-dev-tools (>= 5.7.1~20161021~)
-Standards-Version: 3.9.8
+               qtdeclarative5-private-dev (>= 5.9.1~)
+Build-Depends-Indep: libqt5sql5-sqlite (>= 5.9.1~),
+                     qttools5-dev-tools (>= 5.9.1~)
+Standards-Version: 4.0.0
 Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/qt/qtwebchannel.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-kde/qt/qtwebchannel.git
 Homepage: https://doc.qt.io/qt-5/qtwebchannel-index.html

=== debian/rules ===
--- 
+++ 
@@ -50,7 +50,7 @@
 
 override_dh_auto_test-arch:
 	$(MAKE) install -Csrc/imports INSTALL_ROOT=$(CURDIR)/test_root
-	dh_auto_test --no-parallel -- QT_QPA_PLATFORM=minimal QML2_IMPORT_PATH=$(CURDIR)/test_root/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/qml
+	-dh_auto_test --no-parallel -- QT_QPA_PLATFORM=minimal QML2_IMPORT_PATH=$(CURDIR)/test_root/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/qml
 
 override_dh_auto_test-indep:

## qtwebchannel-opensource-src 5.9.5

=== debian/changelog ===
qtwebchannel-opensource-src (5.9.5-0ubuntu1) bionic; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 14 Apr 2018 12:52:15 -0500

qtwebchannel-opensource-src (5.9.4-0ubuntu1) bionic; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 24 Feb 2018 12:26:56 -0600

qtwebchannel-opensource-src (5.9.3-0ubuntu1) bionic; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 03 Dec 2017 21:57:29 -0600

qtwebchannel-opensource-src (5.9.2-3) unstable; urgency=medium

  * Team upload.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Make qtwebchannel5-examples recommends nodejs instead of directly
    depending on it. Not all examples need nodejs.
    - Add README.Debian explaining the issue.
    - Expand the package description to warn the user to read README.Debian
      before running the examples.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 27 Nov 2017 16:44:59 -0300

qtwebchannel-opensource-src (5.9.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 26 Oct 2017 16:51:22 +0300

qtwebchannel-opensource-src (5.9.2-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.9.2.
  * Use dh_missing instead of deprecated dh_install --fail-missing.
  * Bump Standards-Version to 4.1.1, no changes needed.
  * Drop nodetonodejs.diff, no longer needed (see #862051).

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 15 Oct 2017 21:33:19 +0300

qtwebchannel-opensource-src (5.9.1-2) unstable; urgency=medium

  * Release to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 16 Aug 2017 15:14:04 -0300

=== debian/control ===
--- 
+++ 
@@ -7,17 +7,17 @@
            Simon Quigley <tsimonq2@ubuntu.com>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 10),
-               libqt5websockets5-dev (>= 5.9.1~),
+Build-Depends: debhelper (>= 10.3),
+               libqt5websockets5-dev (>= 5.9.5~),
                pkg-kde-tools,
-               qml-module-qttest (>= 5.9.1~),
-               qtbase5-dev (>= 5.9.1~),
-               qtbase5-private-dev (>= 5.9.1~),
+               qml-module-qttest (>= 5.9.5~),
+               qtbase5-dev (>= 5.9.5+dfsg~),
+               qtbase5-private-dev (>= 5.9.5+dfsg~),
                qtchooser,
-               qtdeclarative5-private-dev (>= 5.9.1~)
-Build-Depends-Indep: libqt5sql5-sqlite (>= 5.9.1~),
-                     qttools5-dev-tools (>= 5.9.1~)
-Standards-Version: 4.0.0
+               qtdeclarative5-private-dev (>= 5.9.5~)
+Build-Depends-Indep: libqt5sql5-sqlite (>= 5.9.5~),
+                     qttools5-dev-tools (>= 5.9.5~)
+Standards-Version: 4.1.1
 Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/qt/qtwebchannel.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-kde/qt/qtwebchannel.git
 Homepage: https://doc.qt.io/qt-5/qtwebchannel-index.html
@@ -69,9 +69,9 @@
 Architecture: any
 Multi-Arch: same
 Depends: libqt5webchannel5 (= ${binary:Version}),
-         nodejs [!armel !powerpc],
          ${misc:Depends},
          ${shlibs:Depends}
+Recommends: nodejs (>= 6.11.2~dfsg-1~) [!armel !powerpc]
 Pre-Depends: ${misc:Pre-Depends}
 Description: Web communication library for Qt - Examples
  Qt WebChannel enables peer-to-peer communication between the host (QML/C++
@@ -79,7 +79,8 @@
  mechanism is supported out of the box by the two popular web engines, Qt
  WebKit 2 and Qt WebEngine (experimental).
  .
- This package contains the examples for Qt's WebChannel submodule.
+ This package contains the examples for Qt's WebChannel submodule. Be sure to
+ read README.Debian before trying to run them.
 
 Package: libqt5webchannel5
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -50,12 +50,12 @@
 
 override_dh_auto_test-arch:
 	$(MAKE) install -Csrc/imports INSTALL_ROOT=$(CURDIR)/test_root
-	-dh_auto_test --no-parallel -- QT_QPA_PLATFORM=minimal QML2_IMPORT_PATH=$(CURDIR)/test_root/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/qml
+	dh_auto_test --no-parallel -- QT_QPA_PLATFORM=minimal QML2_IMPORT_PATH=$(CURDIR)/test_root/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/qml
 
 override_dh_auto_test-indep:
 
 override_dh_auto_install-indep:
 	make INSTALL_ROOT=$(CURDIR)/debian/tmp install_docs
 
-override_dh_install:
-	dh_install --fail-missing
+override_dh_missing:
+	dh_missing --fail-missing

=== debian/watch ===
version=4
https://download.qt.io/official_releases/qt/([\d\.]*)/([\d\.]*)/submodules/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## qtwebchannel-opensource-src 5.11.1

=== debian/changelog ===
qtwebchannel-opensource-src (5.11.1-3) unstable; urgency=medium

  * Upload to Sid.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 25 Jul 2018 04:49:33 -0500

qtwebchannel-opensource-src (5.11.1-2) experimental; urgency=medium

  * Run wrap-and-sort.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 23 Jun 2018 20:23:23 -0500

qtwebchannel-opensource-src (5.11.1-1) experimental; urgency=medium

  * New upstream release.
  * Bump build dependencies to 5.11.1.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 19 Jun 2018 18:58:31 -0500

qtwebchannel-opensource-src (5.11.0-1) experimental; urgency=medium

  * New upstream release.
  * Bump Standards-version to 4.1.4, no changes needed.
  * Bump debhelper compat to 11, no changes needed.
  * Bump build dependencies to 5.11.0.
  * Update symbols from build logs.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 18 Jun 2018 22:09:08 -0400

qtwebchannel-opensource-src (5.10.1-2) unstable; urgency=medium

  * Team upload.
  * Release to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 07 Apr 2018 19:58:26 -0300

qtwebchannel-opensource-src (5.10.1-1) experimental; urgency=medium

  * New upstream release.
  * Update debian/watch for the new upstream tarballs naming scheme.
  * Bump Qt build-dependencies to 5.10.1.
  * Use dh_auto_configure provided by debhelper (closes: #884383).
  * Update packages descriptions to reflect that Qt WebEngine is no
    longer experimental.
  * Add support for the nodoc build profile.
  * Update Vcs fields for migration to salsa.debian.org.
  * Add Qt_5.10 version tag to debian/libqt5webchannel5.symbols.
  * Bump Standards-Version to 4.1.3, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 21 Feb 2018 01:40:31 +0300

=== debian/control ===
Source: qtwebchannel-opensource-src
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Scarlett Clark <sgclark@kubuntu.org>,
           Sandro Knauß <hefee@debian.org>,
           Dmitry Shachnev <mitya57@debian.org>,
           Simon Quigley <tsimonq2@ubuntu.com>
Section: libs
Priority: optional
Build-Depends: debhelper (>= 11),
               libqt5websockets5-dev (>= 5.11.1~),
               pkg-kde-tools,
               qml-module-qttest (>= 5.11.1~),
               qtbase5-dev (>= 5.11.1+dfsg~),
               qtbase5-private-dev (>= 5.11.1+dfsg~),
               qtchooser,
               qtdeclarative5-private-dev (>= 5.11.1~)
Build-Depends-Indep: qttools5-dev-tools (>= 5.11.1~) <!nodoc>
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtwebchannel
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtwebchannel.git
Homepage: https://doc.qt.io/qt-5/qtwebchannel-index.html

Package: qtwebchannel5-doc
Build-Profiles: <!nodoc>
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: Web communication library for Qt - Documentation
 Qt WebChannel enables peer-to-peer communication between the host (QML/C++
 application) and the client (HTML/JavaScript application). The transport
 mechanism is supported out of the box by the two popular web engines, Qt
 WebKit 2 and Qt WebEngine.
 .
 This package contains the documentation for QtWebChannel.

Package: qtwebchannel5-doc-html
Build-Profiles: <!nodoc>
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: Web communication library for Qt - HTML Documentation
 Qt WebChannel enables peer-to-peer communication between the host (QML/C++
 application) and the client (HTML/JavaScript application). The transport
 mechanism is supported out of the box by the two popular web engines, Qt
 WebKit 2 and Qt WebEngine.
 .
 This package contains the HTML documentation for QtWebChannel.

Package: libqt5webchannel5-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libqt5webchannel5 (= ${binary:Version}),
         qtbase5-dev,
         qtdeclarative5-dev,
         ${misc:Depends}
Description: Web communication library for Qt - development files
 Qt WebChannel enables peer-to-peer communication between the host (QML/C++
 application) and the client (HTML/JavaScript application). The transport
 mechanism is supported out of the box by the two popular web engines, Qt
 WebKit 2 and Qt WebEngine.
 .
 This package contains the development files needed to build Qt 5 applications
 using the QtWebChannel library.

Package: qtwebchannel5-examples
Architecture: any
Multi-Arch: same
Depends: libqt5webchannel5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: nodejs (>= 6.11.2~dfsg-1~) [!armel !powerpc]
Pre-Depends: ${misc:Pre-Depends}
Description: Web communication library for Qt - Examples
 Qt WebChannel enables peer-to-peer communication between the host (QML/C++
 application) and the client (HTML/JavaScript application). The transport
 mechanism is supported out of the box by the two popular web engines, Qt
 WebKit 2 and Qt WebEngine.
 .
 This package contains the examples for Qt's WebChannel submodule. Be sure to
 read README.Debian before trying to run them.

Package: libqt5webchannel5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Web communication library for Qt
 Qt WebChannel enables peer-to-peer communication between the host (QML/C++
 application) and the client (HTML/JavaScript application). The transport
 mechanism is supported out of the box by the two popular web engines, Qt
 WebKit 2 and Qt WebEngine.
 .
 This package contains the QtWebChannel libraries.

Package: qml-module-qtwebchannel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Web communication library for Qt - QML module
 Qt WebChannel enables peer-to-peer communication between the host (QML/C++
 application) and the client (HTML/JavaScript application). The transport
 mechanism is supported out of the box by the two popular web engines, Qt
 WebKit 2 and Qt WebEngine.
 .
 This package contains the WebChannel QML module for QtDeclarative.

## qtwebchannel-opensource-src 5.11.3

=== debian/changelog ===
qtwebchannel-opensource-src (5.11.3-2) unstable; urgency=medium

  [ Simon Quigley ]
  * Change my email to tsimonq2@debian.org now that I am a Debian Developer.
  * Bump Standards-version to 4.3.0, no changes needed.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 26 Dec 2018 16:28:33 -0300

qtwebchannel-opensource-src (5.11.3-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
    - Bump Qt build dependencies.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 09 Dec 2018 15:06:21 -0300

qtwebchannel-opensource-src (5.11.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 16 Oct 2018 17:39:03 +0300

qtwebchannel-opensource-src (5.11.2-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.11.2.
  * Update debian/copyright.
  * Bump Standards-Version to 4.2.1, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 24 Sep 2018 11:42:53 +0300

=== debian/control ===
--- 
+++ 
@@ -3,19 +3,19 @@
 Uploaders: Scarlett Clark <sgclark@kubuntu.org>,
            Sandro Knauß <hefee@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>,
-           Simon Quigley <tsimonq2@ubuntu.com>
+           Simon Quigley <tsimonq2@debian.org>
 Section: libs
 Priority: optional
 Build-Depends: debhelper (>= 11),
-               libqt5websockets5-dev (>= 5.11.1~),
+               libqt5websockets5-dev (>= 5.11.3~),
                pkg-kde-tools,
-               qml-module-qttest (>= 5.11.1~),
-               qtbase5-dev (>= 5.11.1+dfsg~),
-               qtbase5-private-dev (>= 5.11.1+dfsg~),
+               qml-module-qttest (>= 5.11.3~),
+               qtbase5-dev (>= 5.11.3+dfsg~),
+               qtbase5-private-dev (>= 5.11.3+dfsg~),
                qtchooser,
-               qtdeclarative5-private-dev (>= 5.11.1~)
-Build-Depends-Indep: qttools5-dev-tools (>= 5.11.1~) <!nodoc>
-Standards-Version: 4.1.4
+               qtdeclarative5-private-dev (>= 5.11.3~)
+Build-Depends-Indep: qttools5-dev-tools (>= 5.11.3~) <!nodoc>
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtwebchannel
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtwebchannel.git
 Homepage: https://doc.qt.io/qt-5/qtwebchannel-index.html

=== debian/rules ===
--- 
+++ 
@@ -4,9 +4,6 @@
 #export DH_VERBOSE=1
 include /usr/share/dpkg/default.mk
 
-export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
-export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
-export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
 export QT_SELECT := qt5
 
 VERSION_CLEAN_UPSTREAM = $(call dpkg_late_eval,VERSION_CLEAN_UPSTREAM,echo '$(DEB_VERSION_UPSTREAM)' | sed -e 's/~.*//')
@@ -24,7 +21,7 @@
 	rm -f src/webchannel/QtWebChannel.version.in
 
 override_dh_auto_configure:
-	qmake QT_BUILD_PARTS+=" tests"
+	dh_auto_configure -- QT_BUILD_PARTS+=tests
 
 override_dh_auto_build-indep:
 	dh_auto_build -- docs

## qtwebchannel-opensource-src 5.12.2

=== debian/changelog ===
qtwebchannel-opensource-src (5.12.2-1) experimental; urgency=medium

  * New upstream release.
  * Build-depend on just qtdeclarative5-dev, not -private-dev.
  * Bump Qt build-dependencies to 5.12.2.
  * Add Qt_5.12 version tag to debian/libqt5webchannel5.symbols.
  * Update debian/copyright.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 24 Mar 2019 13:04:38 +0300

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,14 @@
 Section: libs
 Priority: optional
 Build-Depends: debhelper (>= 11),
-               libqt5websockets5-dev (>= 5.11.3~),
+               libqt5websockets5-dev (>= 5.12.2~),
                pkg-kde-tools,
-               qml-module-qttest (>= 5.11.3~),
-               qtbase5-dev (>= 5.11.3+dfsg~),
-               qtbase5-private-dev (>= 5.11.3+dfsg~),
+               qml-module-qttest (>= 5.12.2~),
+               qtbase5-dev (>= 5.12.2+dfsg~),
+               qtbase5-private-dev (>= 5.12.2+dfsg~),
                qtchooser,
-               qtdeclarative5-private-dev (>= 5.11.3~)
-Build-Depends-Indep: qttools5-dev-tools (>= 5.11.3~) <!nodoc>
+               qtdeclarative5-dev (>= 5.12.2~)
+Build-Depends-Indep: qttools5-dev-tools (>= 5.12.2~) <!nodoc>
 Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtwebchannel
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtwebchannel.git

## qtwebchannel-opensource-src 5.12.4

=== debian/changelog ===
qtwebchannel-opensource-src (5.12.4-1) experimental; urgency=medium

  [ Scarlett Moore ]
  * Further improve the doc-base file.

  [ Dmitry Shachnev ]
  * New upstream release.
  * Bump Qt build-dependencies to 5.12.4.
  * Make the .install files more verbose.
  * Simplify debian/rules by using a debian/not-installed file.
  * Rename README.Debian to qtwebchannel5-examples.README.Debian to make
    it installed automatically by dh_installdocs.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 21 Jun 2019 12:50:24 +0300

qtwebchannel-opensource-src (5.12.3-1) experimental; urgency=medium

  [ Scarlett Moore ]
  * Update my name/email.
  * Update packaging to use doc-base as per policy 9.10.

  [ Dmitry Shachnev ]
  * New upstream release.
  * Bump Qt build-dependencies to 5.12.3.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 22 Apr 2019 21:49:47 +0300

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,19 @@
 Source: qtwebchannel-opensource-src
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Scarlett Clark <sgclark@kubuntu.org>,
+Uploaders: Scarlett Moore <sgmoore@kde.org>,
            Sandro Knauß <hefee@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>,
            Simon Quigley <tsimonq2@debian.org>
 Section: libs
 Priority: optional
 Build-Depends: debhelper (>= 11),
-               libqt5websockets5-dev (>= 5.12.2~),
+               libqt5websockets5-dev (>= 5.12.4~),
                pkg-kde-tools,
-               qml-module-qttest (>= 5.12.2~),
-               qtbase5-dev (>= 5.12.2+dfsg~),
-               qtbase5-private-dev (>= 5.12.2+dfsg~),
-               qtchooser,
-               qtdeclarative5-dev (>= 5.12.2~)
-Build-Depends-Indep: qttools5-dev-tools (>= 5.12.2~) <!nodoc>
+               qml-module-qttest (>= 5.12.4~),
+               qtbase5-dev (>= 5.12.4+dfsg~),
+               qtbase5-private-dev (>= 5.12.4+dfsg~),
+               qtdeclarative5-dev (>= 5.12.4~)
+Build-Depends-Indep: qttools5-dev-tools (>= 5.12.4~) <!nodoc>
 Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtwebchannel
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtwebchannel.git

=== debian/rules ===
--- 
+++ 
@@ -5,8 +5,6 @@
 include /usr/share/dpkg/default.mk
 
 export QT_SELECT := qt5
-
-VERSION_CLEAN_UPSTREAM = $(call dpkg_late_eval,VERSION_CLEAN_UPSTREAM,echo '$(DEB_VERSION_UPSTREAM)' | sed -e 's/~.*//')
 
 %:
 	dh $@ --with pkgkde_symbolshelper
@@ -29,14 +27,6 @@
 override_dh_auto_install-arch:
 	dh_auto_install
 
-	# Remove private headers
-	rm -rfv debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/qt5/QtWebChannel/$(VERSION_CLEAN_UPSTREAM)
-	# And associated files
-	rm -fv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/mkspecs/modules/qt_lib_webchannel_private.pri
-
-	# Remove libtool-like files
-	rm -fv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la
-
 	# Remove example with privacy breaks (remote scripts and styles)
 	rm -rfv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/examples/webchannel/chatclient-html/

## qtwebchannel-opensource-src 5.12.5

=== debian/changelog ===
qtwebchannel-opensource-src (5.12.5-2) unstable; urgency=medium

  * Add Build-Depends-Package field to debian/libqt5webchannel5.symbols.
  * Use debian/clean instead of overriding dh_clean in debian/rules.
  * Bump Standards-Version to 4.4.1, no changes needed.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 21 Oct 2019 10:47:39 +0300

qtwebchannel-opensource-src (5.12.5-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.12.5.
  * Remove the chatclient-html example using a patch (see #934124).
  * Build-depend on qtbase and qtwebsockets documentation for linking docs.
  * Bump Standards-Version to 4.4.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 20 Sep 2019 11:49:21 +0300

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,16 @@
 Section: libs
 Priority: optional
 Build-Depends: debhelper (>= 11),
-               libqt5websockets5-dev (>= 5.12.4~),
+               libqt5websockets5-dev (>= 5.12.5~),
                pkg-kde-tools,
-               qml-module-qttest (>= 5.12.4~),
-               qtbase5-dev (>= 5.12.4+dfsg~),
-               qtbase5-private-dev (>= 5.12.4+dfsg~),
-               qtdeclarative5-dev (>= 5.12.4~)
-Build-Depends-Indep: qttools5-dev-tools (>= 5.12.4~) <!nodoc>
-Standards-Version: 4.3.0
+               qml-module-qttest (>= 5.12.5~),
+               qtbase5-dev (>= 5.12.5+dfsg~),
+               qtbase5-private-dev (>= 5.12.5+dfsg~),
+               qtdeclarative5-dev (>= 5.12.5~)
+Build-Depends-Indep: qtbase5-doc-html (>= 5.12.5+dfsg~) <!nodoc>,
+                     qttools5-dev-tools (>= 5.12.5~) <!nodoc>,
+                     qtwebsockets5-doc-html (>= 5.12.5~) <!nodoc>
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtwebchannel
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtwebchannel.git
 Homepage: https://doc.qt.io/qt-5/qtwebchannel-index.html

## qtwebchannel-opensource-src 5.12.8

=== debian/changelog ===
qtwebchannel-opensource-src (5.12.8-0ubuntu1) focal; urgency=medium

  * New upstream bugfix release.
  * Bump Qt build-dependencies to 5.12.8.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Thu, 09 Apr 2020 11:16:27 +0300

qtwebchannel-opensource-src (5.12.5-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:24:03 +0100

=== debian/control ===
--- 
+++ 
@@ -7,15 +7,15 @@
 Section: libs
 Priority: optional
 Build-Depends: debhelper (>= 11),
-               libqt5websockets5-dev (>= 5.12.5~),
+               libqt5websockets5-dev (>= 5.12.8~),
                pkg-kde-tools,
-               qml-module-qttest (>= 5.12.5~),
-               qtbase5-dev (>= 5.12.5+dfsg~),
-               qtbase5-private-dev (>= 5.12.5+dfsg~),
-               qtdeclarative5-dev (>= 5.12.5~)
-Build-Depends-Indep: qtbase5-doc-html (>= 5.12.5+dfsg~) <!nodoc>,
-                     qttools5-dev-tools (>= 5.12.5~) <!nodoc>,
-                     qtwebsockets5-doc-html (>= 5.12.5~) <!nodoc>
+               qml-module-qttest (>= 5.12.8~),
+               qtbase5-dev (>= 5.12.8+dfsg~),
+               qtbase5-private-dev (>= 5.12.8+dfsg~),
+               qtdeclarative5-dev (>= 5.12.8~)
+Build-Depends-Indep: qtbase5-doc-html (>= 5.12.8+dfsg~) <!nodoc>,
+                     qttools5-dev-tools (>= 5.12.8~) <!nodoc>,
+                     qtwebsockets5-doc-html (>= 5.12.8~) <!nodoc>
 Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtwebchannel
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtwebchannel.git

=== debian/rules ===
--- 
+++ 
@@ -9,15 +9,6 @@
 %:
 	dh $@ --with pkgkde_symbolshelper
 
-override_dh_clean:
-	dh_clean
-
-	rm -rf doc test_root
-	rm -f examples/webchannel/chatclient-html/qwebchannel.js
-	rm -f examples/webchannel/nodejs/qwebchannel.js
-	rm -f examples/webchannel/qwclient/qwebchannel.js
-	rm -f src/webchannel/QtWebChannel.version.in
-
 override_dh_auto_configure:
 	dh_auto_configure -- QT_BUILD_PARTS+=tests
 
@@ -26,9 +17,6 @@
 
 override_dh_auto_install-arch:
 	dh_auto_install
-
-	# Remove example with privacy breaks (remote scripts and styles)
-	rm -rfv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/examples/webchannel/chatclient-html/
 
 	# Link duplicate files
 	ln -sf ../qwclient/qwebchannel.js debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/examples/webchannel/chatclient-qml/qwebchannel.js

## qtwebchannel-opensource-src 5.14.2

=== debian/changelog ===
qtwebchannel-opensource-src (5.14.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 24 Jun 2020 13:03:26 +0300

qtwebchannel-opensource-src (5.14.2-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.14.2.
  * Update debian/libqt5webchannel5.symbols from buildds’ logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 28 Apr 2020 13:51:45 +0300

qtwebchannel-opensource-src (5.14.1-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.14.1.
  * Update to debhelper compat level 12, use the new syntax.
  * Update debian/libqt5webchannel5.symbols from the current build log.
  * Reproducible builds: remove build path from the prl file.
  * Bump Standards-Version to 4.5.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 26 Feb 2020 22:40:38 +0300

=== debian/control ===
--- 
+++ 
@@ -6,17 +6,17 @@
            Simon Quigley <tsimonq2@debian.org>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 11),
-               libqt5websockets5-dev (>= 5.12.8~),
+Build-Depends: debhelper-compat (= 12),
+               libqt5websockets5-dev (>= 5.14.2~),
                pkg-kde-tools,
-               qml-module-qttest (>= 5.12.8~),
-               qtbase5-dev (>= 5.12.8+dfsg~),
-               qtbase5-private-dev (>= 5.12.8+dfsg~),
-               qtdeclarative5-dev (>= 5.12.8~)
-Build-Depends-Indep: qtbase5-doc-html (>= 5.12.8+dfsg~) <!nodoc>,
-                     qttools5-dev-tools (>= 5.12.8~) <!nodoc>,
-                     qtwebsockets5-doc-html (>= 5.12.8~) <!nodoc>
-Standards-Version: 4.4.1
+               qml-module-qttest (>= 5.14.2+dfsg~),
+               qtbase5-dev (>= 5.14.2+dfsg~),
+               qtbase5-private-dev (>= 5.14.2+dfsg~),
+               qtdeclarative5-dev (>= 5.14.2+dfsg~)
+Build-Depends-Indep: qtbase5-doc-html (>= 5.14.2+dfsg~) <!nodoc>,
+                     qttools5-dev-tools (>= 5.14.2~) <!nodoc>,
+                     qtwebsockets5-doc-html (>= 5.14.2~) <!nodoc>
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtwebchannel
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtwebchannel.git
 Homepage: https://doc.qt.io/qt-5/qtwebchannel-index.html

=== debian/rules ===
--- 
+++ 
@@ -23,6 +23,9 @@
 	ln -sf ../qwclient/qwebchannel.js debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/examples/webchannel/standalone/qwebchannel.js
 	ln -sf ../qwclient/qwebchannel.js debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/examples/webchannel/nodejs/qwebchannel.js
 
+	# Reproducible builds: remove build path from the prl file.
+	sed -i -e '/^QMAKE_PRL_BUILD_DIR/d' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt5WebChannel.prl
+
 override_dh_auto_test-arch:
 	$(MAKE) install -Csrc/imports INSTALL_ROOT=$(CURDIR)/test_root
 	dh_auto_test --no-parallel -- QT_QPA_PLATFORM=minimal QML2_IMPORT_PATH=$(CURDIR)/test_root/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/qml

## qtwebchannel-opensource-src 5.15.1.2+dde

=== debian/changelog ===
qtwebchannel-opensource-src (5.15.1.2+dde-1+eagle) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Update debian/libqt5webchannel5.symbols from buildds’ logs.

  [ Debian Qt/KDE Maintainers ]
  * update

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 23 Feb 2021 10:50:19 +0800

qtwebchannel-opensource-src (5.15.1-1) experimental; urgency=medium

  * New upstream release.
    - Bump Qt dependencies.
  * Update to debhelper compat level 13.
    - Do not override dh_missing, the option --fail-missing is now the default
      one.
    - Use the new substitution variables from debhelper 13 in install files.
  * Add Rules-Requires-Root: no to debian/control.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 11 Sep 2020 13:05:59 -0300

=== debian/control ===
--- 
+++ 
@@ -7,15 +7,15 @@
 Section: libs
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
-               libqt5websockets5-dev (>= 5.14.2~),
+               libqt5websockets5-dev (>= 5.15.1~),
                pkg-kde-tools,
-               qml-module-qttest (>= 5.14.2+dfsg~),
-               qtbase5-dev (>= 5.14.2+dfsg~),
-               qtbase5-private-dev (>= 5.14.2+dfsg~),
-               qtdeclarative5-dev (>= 5.14.2+dfsg~)
-Build-Depends-Indep: qtbase5-doc-html (>= 5.14.2+dfsg~) <!nodoc>,
-                     qttools5-dev-tools (>= 5.14.2~) <!nodoc>,
-                     qtwebsockets5-doc-html (>= 5.14.2~) <!nodoc>
+               qml-module-qttest (>= 5.15.1~),
+               qtbase5-dev (>= 5.15.1~),
+               qtbase5-private-dev (>= 5.15.1~),
+               qtdeclarative5-dev (>= 5.15.1~)
+Build-Depends-Indep: qtbase5-doc-html (>= 5.15.1~) <!nodoc>,
+                     qttools5-dev-tools (>= 5.15.1~) <!nodoc>,
+                     qtwebsockets5-doc-html (>= 5.15.1~) <!nodoc>
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtwebchannel
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtwebchannel.git

## qtwebchannel-opensource-src 5.15.2

=== debian/changelog ===
qtwebchannel-opensource-src (5.15.2-2) unstable; urgency=medium

  * Bump Standards-Version to 4.5.1, no changes needed.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 11 Dec 2020 11:32:33 +0300

qtwebchannel-opensource-src (5.15.2-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.2.
  * Build-depend only on the needed documentation tools, not on the
    large qttools5-dev-tools package.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 22 Nov 2020 14:43:21 +0300

qtwebchannel-opensource-src (5.15.1-2) unstable; urgency=medium

  * Update debian/libqt5webchannel5.symbols from buildds’ logs.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 28 Oct 2020 21:54:21 +0300

=== debian/control ===
--- 
+++ 
@@ -6,17 +6,20 @@
            Simon Quigley <tsimonq2@debian.org>
 Section: libs
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
-               libqt5websockets5-dev (>= 5.15.1~),
+Rules-Requires-Root: no
+Build-Depends: debhelper-compat (= 13),
+               libqt5websockets5-dev (>= 5.15.2~),
                pkg-kde-tools,
-               qml-module-qttest (>= 5.15.1~),
-               qtbase5-dev (>= 5.15.1~),
-               qtbase5-private-dev (>= 5.15.1~),
-               qtdeclarative5-dev (>= 5.15.1~)
-Build-Depends-Indep: qtbase5-doc-html (>= 5.15.1~) <!nodoc>,
-                     qttools5-dev-tools (>= 5.15.1~) <!nodoc>,
-                     qtwebsockets5-doc-html (>= 5.15.1~) <!nodoc>
-Standards-Version: 4.5.0
+               qml-module-qttest (>= 5.15.2+dfsg~),
+               qtbase5-dev (>= 5.15.2+dfsg~),
+               qtbase5-private-dev (>= 5.15.2+dfsg~),
+               qtdeclarative5-dev (>= 5.15.2+dfsg~)
+Build-Depends-Indep: qdoc-qt5 (>= 5.15.2~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.15.2~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.15.2~) <!nodoc>,
+                     qtbase5-doc-html (>= 5.15.2+dfsg~) <!nodoc>,
+                     qtwebsockets5-doc-html (>= 5.15.2~) <!nodoc>
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtwebchannel
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtwebchannel.git
 Homepage: https://doc.qt.io/qt-5/qtwebchannel-index.html

=== debian/watch ===
version=4
https://download.qt.io/official_releases/qt/([\d\.]*)/([\d\.]*)/submodules/qtwebchannel-everywhere-src@ANY_VERSION@@ARCHIVE_EXT@
